# Key Points

Before starting the migration of your projects into Monaca, there are some key points you need to pay attention to in order to have a seamless migration.

## Build environment

Before getting started with the migration, you may want to know about the supported Cordova versions and build environments in Monaca.

All newly created projects in Monaca will be using the latest supported Cordova version by default.

| Cordova    | Android platform | iOS platform | Windows platform (electron) |
| ---------- | ---------------- | ------------ | --------------------------- |
| **11.0.0** | **10.1.2**       | **6.2.0**    | **3.0.0**                   |

For more information on build environments for lower Cordova versions, pleaser refer to [Supported Environments](/environment.md).

## Installed plugins

In Monaca, the Cordova plugins are managed by the `package.json` file. If your plugin information is defined in the `config.xml` file, you will need to import the plugins again into Monaca. Please refer to [Importing Cordova plugins](/products_guide/monaca_ide/dependencies/cordova_plugin.md#importing-cordova-plugins).

## Third party Cordova plugins

The store-version Monaca Debugger (found in Google play or AppStore) only includes the [core Cordova plugins](/reference/core-cordova-plugins.md). If your project contains any third party Cordova plugins besides the core Cordova plugins, you will need to build a custom debugger to test it. A custom debugger will only include the plugins used in the project. Please refer to:

* [Build custom debugger for iOS](/products_guide/debugger/installation/debugger_ios.md#building-a-custom-monaca-debugger)
* [Build custom debugger for Android](/products_guide/debugger/installation/debugger_android.md#build-and-install-a-custom-monaca-debugger)

## JS/CSS component

There is a GUI page for you to manage the CSS/JavaScript libraries.

* For the Monaca CLI, you can open the GUI page by running `monaca remote config` in the project directory.
* For the Monaca Localkit, you can go there by clicking the `Settings` menu.

![](/files/-Mg8TTEKxCJtpQE0KXSB)

On the JS/JSS components page, you can add CSS/JavaScript libraries to your project. However, this works only if you include the following lines in your `index.html` file:

```markup
<!--Load selected JavaScript libraries-->
<script src="components/loader.js"></script>
<!--Load selected CSS libraries-->
<link rel="stylesheet" href="components/loader.css">
```

Please note that the `loader.js` file loads also the `cordova.js` file. Therefore, if you are going to include the above lines, you can remove this line:

```markup
<script src="cordova.js"></script>
```

## Output directory

Lastly, please notice the following points since they are important when working with the Monaca Debugger and the Monaca Build Server.

* The output folder for the building process must be `www`. You may need to change the build output to `www`.
* Make sure that opening the `index.html` file over `file://` works. For example, you may need to set `<base href="./"` in the `index.html` file.

**See Also:**

* [Migrating from Other Platforms](/products_guide/migration.md)
* [Sample Apps](/sampleapp/samples.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/migration/key_point.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
